// ★コメント未記入
#if !defined(AFX_PLUGINKEYASSIGNDLG_H__964779F5_46DF_4B00_8602_4C4FA550A8B1__INCLUDED_)
#define AFX_PLUGINKEYASSIGNDLG_H__964779F5_46DF_4B00_8602_4C4FA550A8B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PlugInKeyAssignDlg.h : ヘッダー ファイル
//

#include <afxtempl.h>
#include "ShitarabianPlugInKeyAssign.h"
/////////////////////////////////////////////////////////////////////////////
// CPlugInKeyAssignDlg ダイアログ

class CPlugInKeyAssignDlg : public CDialog
{
// コンストラクション
public:
	CPlugInKeyAssignDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	CArray<TKeyDefine,TKeyDefine&>	m_aKeyDefinez;
	void RefreshItems();

// ダイアログ データ
	//{{AFX_DATA(CPlugInKeyAssignDlg)
	enum { IDD = IDD_PLUGIN_KEY };
	CButton	m_btnAdd;
	CButton	m_btnDelete;
	CButton	m_btnEdit;
	CListCtrl	m_listKeyz;
	BOOL	m_bEnable;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CPlugInKeyAssignDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	void VisibleControl();

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CPlugInKeyAssignDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClickKeyList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKeyEdit();
	afx_msg void OnKeyAdd();
	afx_msg void OnKeyDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PLUGINKEYASSIGNDLG_H__964779F5_46DF_4B00_8602_4C4FA550A8B1__INCLUDED_)
